﻿using DailyDigestWorker.Models; // Для наших моделей данных

namespace DailyDigestWorker.Services
{
    // Интерфейс для сервиса, который формирует текст дайджеста
    public interface IDigestBuilderService
    {
        /// <summary>
        /// Собирает текстовое представление дайджеста на основе полученных данных.
        /// </summary>
        /// <param name="currency">Данные о курсах валют (или null).</param>
        /// <param name="crypto">Данные о курсах криптовалют (или null).</param>
        /// <param name="weather">Данные о погоде (или null).</param>
        /// <param name="newsSummary">Саммари новостей (или null).</param>
        /// <returns>Отформатированный текст дайджеста (Markdown).</returns>
        string BuildDigestText(
            CurrencyData? currency,
            CryptoData? crypto,
            WeatherData? weather,
            string? newsSummary // Пока будем передавать null
        );
    }
}